<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [limitProductProduction](./bitburner.warehouseapi.limitproductproduction.md)

## WarehouseAPI.limitProductProduction() method

Limit Product Production.

**Signature:**

```typescript
limitProductProduction(divisionName: string, city: CityName | `${CityName}`, productName: string, qty: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division. |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city. |
|  productName | string | Name of the product. |
|  qty | number | Amount to limit to. Pass a negative value to remove the limit instead. |

**Returns:**

void

